{
  description = "Home Manager configuration";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    home-manager = {
      url = "github:nix-community/home-manager";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };

  outputs = { nixpkgs, home-manager, ... }:
    let
      system = "x86_64-linux";
      pkgs = nixpkgs.legacyPackages.${system};
    in
    {
      homeConfigurations = {
        "mandlm@xps" = home-manager.lib.homeManagerConfiguration {
          inherit pkgs;

          modules = [
            ./shell
            ./git
            ./gpg
            ./neovim
            ./private.nix
            ./xps.nix
          ];

          extraSpecialArgs = {
            user = "mandlm";
            userName = "Michael Mandl";
            userEmail = "mandlm@molez.net";
            gpgSigningKey = "4AA25D647AA54CC7";
            gpgSSHKeys = [ "1F937AC8F77ED74CE24EAAE79B5601F73C6D115F" ];
            theme = "dark";
          };
        };
        "mmandl@NB11313" = home-manager.lib.homeManagerConfiguration {
          inherit pkgs;

          modules = [
            ./shell
            ./git
            ./gpg
            ./neovim
            ./horsch.nix
          ];

          extraSpecialArgs = {
            user = "mmandl";
            userName = "Michael Mandl";
            userEmail = "michael.mandl@horsch.com";
            gpgSigningKey = "088ED38F036C7AF2";
            gpgSSHKeys = [ "AEB2BF3FF9CF9529E9A3C6F1A202D21686FF9278" ];
            theme = "dark";
          };
        };
      };
    };
}
